sm_str_map_t Struct Reference
Implementation internals » Information gathering » System Management BIOS (SMBIOS)

## Data Fields

enum sm_map_type | type
unsigned | len
union { |
char ** str |
sm_num2str_t * num2str |
} | list

## Field Documentation

## len

unsigned sm_str_map_t::len

Referenced by smbios_bitmap2str(), and smbios_id2str().

## [union]

union { ... } sm_str_map_t::list

Referenced by smbios_bitmap2str(), and smbios_id2str().

## num2str

sm_num2str_t* sm_str_map_t::num2str

Referenced by smbios_bitmap2str(), and smbios_id2str().

## str

char** sm_str_map_t::str

Referenced by smbios_bitmap2str(), and smbios_id2str().

## type

enum sm_map_type sm_str_map_t::type

Referenced by smbios_bitmap2str(), and smbios_id2str().

The documentation for this struct was generated from the following file:

- smbios.c